package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基站对象 mall_base_station
 *
 * @author LCL
 * @date 2024-03-17
 */
public class MallBaseStation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 基站主键ID */
    private Long baseStationId;

    /** 所属公司ID */
    @Excel(name = "所属公司ID")
    private Long companyId;

    /** 所属公司名 */
    @Excel(name = "所属公司名")
    private String companyName;

    /** 所属管理员ID */
    @Excel(name = "所属管理员ID")
    private Long userId;

    /** 所属管理员名 */
    @Excel(name = "所属管理员名")
    private String userName;

    /** 绑定公司：0-未绑定，1-已绑定 */
    @Excel(name = "绑定公司：0-未绑定，1-已绑定")
    private String bindCompany;

    /** 绑定管理员：0-未绑定，1-已绑定 */
    @Excel(name = "绑定管理员：0-未绑定，1-已绑定")
    private String bindUser;

    /** 基站编号 */
    @Excel(name = "基站编号")
    private String baseStationNumber;

    /** 基站名称 */
    @Excel(name = "基站名称")
    private String baseStationName;

    /** 基站状态：0-正常，1-故障 */
    @Excel(name = "基站状态：0-正常，1-故障")
    private String baseStationStatus;

    /** 相关ID */
    @Excel(name = "相关ID")
    private String resId;

    /** 省份ID */
    @Excel(name = "省份ID")
    private Long provinceId;

    /** 省份名 */
    @Excel(name = "省份名")
    private String provinceName;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String cityName;

    /** 区县ID */
    @Excel(name = "区县ID")
    private Long areaId;

    /** 区县名 */
    @Excel(name = "区县名")
    private String areaName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createId;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setBaseStationId(Long baseStationId)
    {
        this.baseStationId = baseStationId;
    }

    public Long getBaseStationId()
    {
        return baseStationId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setBindCompany(String bindCompany)
    {
        this.bindCompany = bindCompany;
    }

    public String getBindCompany()
    {
        return bindCompany;
    }
    public void setBindUser(String bindUser)
    {
        this.bindUser = bindUser;
    }

    public String getBindUser()
    {
        return bindUser;
    }
    public void setBaseStationNumber(String baseStationNumber)
    {
        this.baseStationNumber = baseStationNumber;
    }

    public String getBaseStationNumber()
    {
        return baseStationNumber;
    }
    public void setBaseStationName(String baseStationName)
    {
        this.baseStationName = baseStationName;
    }

    public String getBaseStationName()
    {
        return baseStationName;
    }
    public void setBaseStationStatus(String baseStationStatus)
    {
        this.baseStationStatus = baseStationStatus;
    }

    public String getBaseStationStatus()
    {
        return baseStationStatus;
    }
    public void setResId(String resId)
    {
        this.resId = resId;
    }

    public String getResId()
    {
        return resId;
    }
    public void setProvinceId(Long provinceId)
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId()
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName)
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName()
    {
        return provinceName;
    }
    public void setCityId(Long cityId)
    {
        this.cityId = cityId;
    }

    public Long getCityId()
    {
        return cityId;
    }
    public void setCityName(String cityName)
    {
        this.cityName = cityName;
    }

    public String getCityName()
    {
        return cityName;
    }
    public void setAreaId(Long areaId)
    {
        this.areaId = areaId;
    }

    public Long getAreaId()
    {
        return areaId;
    }
    public void setAreaName(String areaName)
    {
        this.areaName = areaName;
    }

    public String getAreaName()
    {
        return areaName;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setCreateId(Long createId)
    {
        this.createId = createId;
    }

    public Long getCreateId()
    {
        return createId;
    }
    public void setCreateUser(String createUser)
    {
        this.createUser = createUser;
    }

    public String getCreateUser()
    {
        return createUser;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("baseStationId", getBaseStationId())
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("bindCompany", getBindCompany())
            .append("bindUser", getBindUser())
            .append("baseStationNumber", getBaseStationNumber())
            .append("baseStationName", getBaseStationName())
            .append("baseStationStatus", getBaseStationStatus())
            .append("resId", getResId())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("createId", getCreateId())
            .append("createUser", getCreateUser())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
